--[[
LanguageChecker.lua

Author: 	Ifko[nator]
Date:		14.05.2020
Version:	1.0

History:	v1.0 @14.05.2020 - initial implemation in FS 19
]]

LanguageChecker = {};
LanguageChecker.currentModName = g_currentModName;

function LanguageChecker.prerequisitesPresent(specializations)
	return true;
end;

function LanguageChecker.registerEventListeners(vehicleType)
	local functionNames = {
		"onPostLoad"
	};
	
	for _, functionName in ipairs(functionNames) do
		SpecializationUtil.registerEventListener(vehicleType, functionName, LanguageChecker);
	end;
end;

function LanguageChecker:onPostLoad(savegame)
	if RealisticSeederUtil == nil then
		return;
	end;
	
	if RealisticSeederUtil.languageShort ~= "de" then
		LanguageChecker.debugPriority = RealisticSeederUtil.getDebugPriority(self.xmlFile, "vehicle.languageChecker#debugPriority");

		local specLanguageChecker = RealisticSeederUtil.getSpecByName(self, "languageChecker");

		specLanguageChecker.materialNode = I3DUtil.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.languageChecker#materialNode"), self.i3dMappings);
    	specLanguageChecker.englishNode = I3DUtil.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.languageChecker#englishNode"), self.i3dMappings);
	
		if specLanguageChecker.materialNode ~= nil and specLanguageChecker.englishNode ~= nil then
			RealisticSeederUtil.changeMaterial(self, specLanguageChecker);
			
			RealisticSeederUtil.printDebug("Changed material for " .. getName(specLanguageChecker.materialNode) .. " successfully.", LanguageChecker.debugPriority, true, "LanguageChecker");
        end;
    end;
end;